Bug 8559 - no LABEL and UUID support
no LABEL and UUID support
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: quota (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-17 22:55 EST by rzm
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-17 22:55:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rzm 2000-01-17 22:55:51 EST
It is possible to use LABEL=... and UUID=... in fstab, mount understands
them, but quota do not. I made a quota package version with the following
changes:
- updated to quota 1.70
- fixed small error in setquota.c (new in 1.70)
- added LABEL and UUID support. The are both recognized by the programs
  and may be used as arguments. E.g. some fs may be referenced as
  LABEL=WWW (partition was labeled so and this is used in fstab) or
  /i (mount point) or /dev/sdi1 (real name, translated via mtab or
  /proc/mounts if there is no mtab)

The packages (src and sparc RPMs) are available in
ftp://sunsite.icm.edu.pl/private/rzm/quota/

I hope they will be useful.
Comment 1 Preston Brown 2001-02-01 17:57:45 EST
Red Hat Linux 7 and later support UUID/LABEL.

Note You need to log in before you can comment on or make changes to this bug.